--------------------------------------------------------------------------------
--  Function......... : initFontDefinitions
--  Author........... : 
--  Description...... : 
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
function polyglotLIB.initFontDefinitions ( )
--------------------------------------------------------------------------------
	
    local htFontDefs = this.htFontDefinitions ( )
    
	hashtable.add(htFontDefs, "bgBG", "NotoSans_Bold")
	hashtable.add(htFontDefs, "csCZ", "NotoSans_Bold")
	hashtable.add(htFontDefs, "daDK", "NotoSans_Bold")
	hashtable.add(htFontDefs, "deDE", "NotoSans_Bold")
	hashtable.add(htFontDefs, "deCH", "NotoSans_Bold")
	hashtable.add(htFontDefs, "deAT", "NotoSans_Bold")
	hashtable.add(htFontDefs, "elGR", "NotoSans_Bold")
	hashtable.add(htFontDefs, "enUS", "NotoSans_Bold")
	hashtable.add(htFontDefs, "enGB", "NotoSans_Bold")
	hashtable.add(htFontDefs, "esES", "NotoSans_Bold")
	hashtable.add(htFontDefs, "esAR", "NotoSans_Bold")
	hashtable.add(htFontDefs, "esMX", "NotoSans_Bold")
	hashtable.add(htFontDefs, "fiFI", "NotoSans_Bold")
	hashtable.add(htFontDefs, "frFR", "NotoSans_Bold")
	hashtable.add(htFontDefs, "heIL", "DejaVuSans_Bold")
	hashtable.add(htFontDefs, "huHU", "NotoSans_Bold")
	hashtable.add(htFontDefs, "itCH", "NotoSans_Bold")
	hashtable.add(htFontDefs, "itIT", "NotoSans_Bold")
	hashtable.add(htFontDefs, "jaJP", "jp")
	hashtable.add(htFontDefs, "koKR", "UnBatang_0613")
	hashtable.add(htFontDefs, "nlNL", "NotoSans_Bold")
	hashtable.add(htFontDefs, "noNB", "NotoSans_Bold")
	hashtable.add(htFontDefs, "plPL", "NotoSans_Bold")
	hashtable.add(htFontDefs, "ptBR", "NotoSans_Bold")
	hashtable.add(htFontDefs, "ptPT", "NotoSans_Bold")
	hashtable.add(htFontDefs, "roRO", "NotoSans_Bold")
	hashtable.add(htFontDefs, "ruRU", "NotoSans_Bold")
	hashtable.add(htFontDefs, "svSE", "NotoSans_Bold")
	hashtable.add(htFontDefs, "thTH", "LomaBold")
	hashtable.add(htFontDefs, "trTR", "NotoSans_Bold")
	hashtable.add(htFontDefs, "zhCN", "ch")
	hashtable.add(htFontDefs, "zhSG", "ch")
	hashtable.add(htFontDefs, "zhTW", "PrinceTradChinese")
	hashtable.add(htFontDefs, "zhHK", "PrinceTradChinese")
	hashtable.add(htFontDefs, "zhMO", "PrinceTradChinese")
    
    log.message ( hashtable.get ( htFontDefs, "zhMO" ) )
	
--------------------------------------------------------------------------------
end
--------------------------------------------------------------------------------
